"""empty message

Revision ID: 85f9d45de4c3
Revises: 09f191d8c963
Create Date: 2021-03-04 14:31:33.114382

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '85f9d45de4c3'
down_revision = '09f191d8c963'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('ticketstatus',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('status_code', sa.Integer(), nullable=True),
    sa.Column('status_def', sa.String(length=50), nullable=True),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('status_code')
    )
    op.create_table('ticket',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('issue', sa.String(length=100), nullable=True),
    sa.Column('created_at', sa.DateTime(), nullable=False),
    sa.Column('updated_at', sa.DateTime(), nullable=True),
    sa.Column('status_code', sa.Integer(), nullable=True),
    sa.Column('course_id', sa.Integer(), nullable=True),
    sa.ForeignKeyConstraint(['course_id'], ['course.id'], ),
    sa.ForeignKeyConstraint(['status_code'], ['ticketstatus.status_code'], ),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('faculty_ticket_assoc',
    sa.Column('ticket_id', sa.Integer(), nullable=False),
    sa.Column('faculty_id', sa.Integer(), nullable=False),
    sa.ForeignKeyConstraint(['faculty_id'], ['faculty.id'], ),
    sa.ForeignKeyConstraint(['ticket_id'], ['ticket.id'], )
    )
    op.create_table('student_ticket_assoc',
    sa.Column('ticket_id', sa.Integer(), nullable=False),
    sa.Column('student_id', sa.Integer(), nullable=False),
    sa.ForeignKeyConstraint(['student_id'], ['student.id'], ),
    sa.ForeignKeyConstraint(['ticket_id'], ['ticket.id'], )
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('student_ticket_assoc')
    op.drop_table('faculty_ticket_assoc')
    op.drop_table('ticket')
    op.drop_table('ticketstatus')
    # ### end Alembic commands ###
